[gelöst] Amazon Dash Button Installation [Fehler Code 13]

Fragen zu Konfiguration und Bedienung von Adaptern
Antworten
senger1985
starter
Beiträge: 60
Registriert: 19.01.2018, 10:19

[gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von senger1985 » 13.03.2018, 16:57

Hallo,

ich habe heute meinen ersten Dash Button bekommen und wollte ihn gleich mit meinem ioBroker "verheiraten", um etwas damit zu spielen.

Nur leider habe ich das Problem, den Adapter, mit der Versions-Nummer 0.2.7, zu installieren.

Ich bekomme den Fehler Code 13.

Laut Forum soll das irgendwas mit Node/Node-JS zu tun haben.

Alles ist bei mir auf dem neusten Stand.

Kann mir da bitte jemand behilflich sein?
Zuletzt geändert von senger1985 am 13.03.2018, 18:32, insgesamt 1-mal geändert.

xmace
starter
Beiträge: 46
Registriert: 07.01.2018, 01:20

Re: Amazon Dash Button Installation [Fehler Code 13]

Beitrag von xmace » 13.03.2018, 17:16

kopier mal dein log mit dem betreffenden Fehleroutput hier rein.
Infos zum System wären noch gut: rpi? linux? windows?

senger1985
starter
Beiträge: 60
Registriert: 19.01.2018, 10:19

Re: Amazon Dash Button Installation [Fehler Code 13]

Beitrag von senger1985 » 13.03.2018, 18:31

Das Problem hat sich inzwischen erledigt.

Musste vorher noch:

Code: Alles auswählen

apt-get install libpcap-dev
ausführen und somit konnte ich den Adapter installieren.

AingTii
starter
Beiträge: 66
Registriert: 18.03.2018, 09:01

[Problem] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von AingTii » 31.03.2018, 17:56

Hallo Zusammen, habe das gleiche Problem,

der Adapter lässt sich nicht installieren und beendet mit Fehler Code 13

Code: Alles auswählen

apt-get install libpcap-dev
hat leider auch nicht geholfen, da es bereist installiert ist...
ist schon die neuester Version (1:2.25-1)
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert

Code: Alles auswählen

iobroker	2018-03-31 18:10:27.331	error	host.raspberrypi Cannot install amazon-dash
iobroker	2018-03-31 18:10:27.329	info	host.raspberrypi install adapter amazon-dash
iobroker	2018-03-31 18:10:27.181	info	npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "iobroker.amazon-dash" "--production" "--prefix" "/opt/iobroker"npm ERR! node v6.14.1
iobroker	2018-03-31 18:10:16.830	info	WARN lifecycle iobroker.amazon-dash@0.2.9~preinstall: cannot run in wd %s %s (wd=%s) iobroker.amazon-dash@0.2.9 apt-get install libpcap-dev -y || true /opt/iobroker/node_modules/.staging/iobroker.am
iobroker	2018-03-31 18:09:26.938	info	npm install iobroker.amazon-dash --production --prefix "/opt/iobroker" (System call)
iobroker	2018-03-31 18:09:26.523	info	host.raspberrypi install adapter amazon-dash
iobroker	2018-03-31 18:09:26.350	info	ERR! Linux 4.14.30-v7+npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "iobroker.amazon-dash" "--production" "--prefix" "/opt/iobroker"
iobroker	2018-03-31 18:09:15.742	info	WARN lifecycle iobroker.amazon-dash@0.2.9~preinstall: cannot run in wd %s %s (wd=%s) iobroker.amazon-dash@0.2.9 apt-get install libpcap-dev -y || true /opt/iobroker/node_modules/.staging/iobroker.am
iobroker	2018-03-31 18:08:26.869	info	npm install iobroker.amazon-dash --production --prefix "/opt/iobroker" (System call)
iobroker	2018-03-31 18:08:26.554	info	host.raspberrypi install adapter amazon-dash
iobroker	2018-03-31 18:08:26.329	info	ERR! Linux 4.14.30-v7+npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "iobroker.amazon-dash" "--production" "--prefix" "/opt/iobroker"
iobroker	2018-03-31 18:08:15.962	info	WARN lifecycle iobroker.amazon-dash@0.2.9~preinstall: cannot run in wd %s %s (wd=%s) iobroker.amazon-dash@0.2.9 apt-get install libpcap-dev -y || true /opt/iobroker/node_modules/.staging/iobroker.am
iobroker	2018-03-31 18:07:27.058	info	npm install iobroker.amazon-dash --production --prefix "/opt/iobroker" (System call)
iobroker	2018-03-31 18:07:25.065	info	add amazon-dash

hat jemand ne Idee?

Ich bekomme den Adapter nicht installiert.

Danke

Gruß Jens

AingTii
starter
Beiträge: 66
Registriert: 18.03.2018, 09:01

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von AingTii » 07.04.2018, 15:46

hat sich erledigt,

nach vielen hin und her was node, nodejs und npm betrifft, update downgrade,
läuft die instance jetzt

Benutzeravatar
Homoran
guru
Beiträge: 12068
Registriert: 08.08.2014, 16:50

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von Homoran » 07.04.2018, 16:12

Was bitte ist
AingTii hat geschrieben:
07.04.2018, 15:46
update downgrade
?

Gruß
Rainer
kein Support per PN!
Fragen im Forum stellen - es gibt fast nichts, was nicht auch für andere interessant ist.

AingTii
starter
Beiträge: 66
Registriert: 18.03.2018, 09:01

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von AingTii » 07.04.2018, 16:39

Homoran hat geschrieben:
07.04.2018, 16:12
Was bitte ist
AingTii hat geschrieben: ↑07.04.2018, 15:46
update downgrade
?
Update ist installieren einer neueren Version
downgrade ist das installieren einer älteren Version

Sollte eigentlich durchaus sinn ergeben im zusammen hang mit "hin und her" :?:
fehlt allerdings ein Komma zwischen update und downgrade.

Gruß Jens

Tephan87
Beiträge: 3
Registriert: 11.04.2018, 17:57

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von Tephan87 » 11.04.2018, 18:02

kannst du mal bitte sagen, welche Versionen du Installiert hast?

so sieht es bei mir aus.
ich bekomme auch die Instanz, diese startet aber nicht.

Code: Alles auswählen

$ ./iobroker add amazon-dash
npm install iobroker.amazon-dash --production --prefix "/opt/iobroker" (System call)
npm
 WARN lifecycle iobroker.amazon-dash@0.2.9~preinstall: cannot run in wd %s %s (wd=%s) iobroker.amazon-dash@0.2.9 apt-get install libpcap-dev -y || true /opt/iobroker/node_modules/.staging/iobroker.amazon-dash-eb5038e9
host.ioBroker-Pi install adapter amazon-dash
npm install --production (System call) in "/opt/iobroker/node_modules/iobroker.amazon-dash"
npm
 WARN lifecycle iobroker.amazon-dash@0.2.9~preinstall: cannot run in wd %s %s (wd=%s) iobroker.amazon-dash@0.2.9 apt-get install libpcap-dev -y || true /opt/iobroker/node_modules/iobroker.amazon-dash
../socket_watcher.cpp: In static member function ‘static void SocketWatcher::Callback(uv_poll_t*, int, int)’:../socket_watcher.cpp:77:60: warning: ‘v8::Local<v8::Value> Nan::MakeCallback(v8::Local<v8::Object>, v8::Local<v8::Function>, int, v8::Local<v8::Value>*)’ is deprecated [-Wdeprecated-declarations]
   Nan::MakeCallback(watcher->handle(), callback, argc, argv);
                                                            ^

In file included from ../socket_watcher.hpp:8:0,                 from ../socket_watcher.cpp:5:
../../nan/nan.h:929:46: note: declared here
   NAN_DEPRECATED inline v8::Local<v8::Value> MakeCallback(
                                              ^~~~~~~~~~~~

../pcap_session.cc: In static member function ‘static void PcapSession::PacketReady(u_char*, const pcap_pkthdr*, const u_char*)’:../pcap_session.cc:85:102: warning: ‘v8::Local<v8::Value> Nan::MakeCallback(v8::Local<v8::Object>, v8::Local<v8::Function>, int, v8::Local<v8::Value>*)’ is deprecated [-Wdeprecated-declarations]
     Nan::MakeCallback(Nan::GetCurrentContext()->Global(), Nan::New(session->packet_ready_cb), 0, NULL);
                                                                                                      ^

In file included from ../pcap_session.h:4:0,                 from ../pcap_session.cc:7:
../../nan/nan.h:929:46: note: declared here
   NAN_DEPRECATED inline v8::Local<v8::Value> MakeCallback(
                                              ^~~~~~~~~~~~

got /opt/iobroker/node_modules/iobroker.amazon-dash/admin
upload [2] amazon-dash.admin /opt/iobroker/node_modules/iobroker.amazon-dash/admin/words.js words.js application/javascript
upload [1] amazon-dash.admin /opt/iobroker/node_modules/iobroker.amazon-dash/admin/index.html index.html text/html
upload [0] amazon-dash.admin /opt/iobroker/node_modules/iobroker.amazon-dash/admin/amazon-dash.png amazon-dash.png image/png
host.ioBroker-Pi object system.adapter.amazon-dash created
host.ioBroker-Pi create instance amazon-dash
host.ioBroker-Pi object system.adapter.amazon-dash.0.outputCount created
host.ioBroker-Pi object system.adapter.amazon-dash.0.inputCount created
host.ioBroker-Pi object system.adapter.amazon-dash.0.uptime created
host.ioBroker-Pi object system.adapter.amazon-dash.0.memRss created
host.ioBroker-Pi object system.adapter.amazon-dash.0.memHeapTotal created
host.ioBroker-Pi object system.adapter.amazon-dash.0.memHeapUsed created
host.ioBroker-Pi object system.adapter.amazon-dash.0.connected created
host.ioBroker-Pi object system.adapter.amazon-dash.0.alive created
host.ioBroker-Pi object system.adapter.amazon-dash.0 created
process exited with code 0

AingTii
starter
Beiträge: 66
Registriert: 18.03.2018, 09:01

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von AingTii » 12.04.2018, 05:35

Hallo,

so wie ich das sehe, 0.2.9
bei mir steht bei den Adapter amazondash 0.2.7 0.2.9 [1/1]

ich meine zumindest, die letzte nummer ist die installierte

Oder meintest Du node, nodejs und npm?

Gruß jens

Tephan87
Beiträge: 3
Registriert: 11.04.2018, 17:57

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von Tephan87 » 12.04.2018, 05:56

Oder meintest Du node, nodejs und npm?
Ja genau, die 3 Versionen!

AingTii
starter
Beiträge: 66
Registriert: 18.03.2018, 09:01

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von AingTii » 12.04.2018, 11:30

npm -v
5.8.0

nodejs -v
V8.11.1

node -v
V8.9.0

Benutzeravatar
Homoran
guru
Beiträge: 12068
Registriert: 08.08.2014, 16:50

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von Homoran » 12.04.2018, 11:37

Dann hast du zwei verschiedene node(js) Versionen zeitgleich installiert

Gruß
Rainer
kein Support per PN!
Fragen im Forum stellen - es gibt fast nichts, was nicht auch für andere interessant ist.

Tephan87
Beiträge: 3
Registriert: 11.04.2018, 17:57

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von Tephan87 » 12.04.2018, 12:26

Dann hast du zwei verschiedene node(js) Versionen zeitgleich installiert
Ich jetzt?

also der DashButton Adapter wird auch installiert, nur beim starten bekomme ich ein paar Errors und der Apdapter wird neu gestartet!

Stephan

Benutzeravatar
Homoran
guru
Beiträge: 12068
Registriert: 08.08.2014, 16:50

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von Homoran » 12.04.2018, 13:14

Tephan87 hat geschrieben:
12.04.2018, 12:26
Ich jetzt?
Nö! Außer du bist
AingTii hat geschrieben:
12.04.2018, 11:30
AingTii

Gruß
Rainer
kein Support per PN!
Fragen im Forum stellen - es gibt fast nichts, was nicht auch für andere interessant ist.

AingTii
starter
Beiträge: 66
Registriert: 18.03.2018, 09:01

Re: [gelöst] Amazon Dash Button Installation [Fehler Code 13]

Beitrag von AingTii » 17.04.2018, 05:26

das mag natürlich sein und klingt ja auch logisch wenn 2 Versionen da sind.

So ganz habe ich das mit dem Node und node.js nicht verstanden, zum einen wird gesagt
das eine wird mit dem anderen installiert. Ich meine mit node wird node.js mit installiert
(Bitte berichtigen wenn es falsch ist)
aber nach der installation der einen ist das andere nicht da oder wird nicht als Version angezeigt.

Also doch beides installieren?
Nur halt die gleiche Version?

Danke

Gruß jens

Antworten